Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network22.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
22.0.0.0
Broadcast address
22.63.255.255
First usable
22.0.0.1
Last usable
22.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 16000000 · Integer 369098752 to 373293055
Reverse DNS zones
0.22.in-addr.arpa
1.22.in-addr.arpa
2.22.in-addr.arpa
3.22.in-addr.arpa
4.22.in-addr.arpa
5.22.in-addr.arpa
6.22.in-addr.arpa
7.22.in-addr.arpa
8.22.in-addr.arpa
9.22.in-addr.arpa
10.22.in-addr.arpa
11.22.in-addr.arpa
12.22.in-addr.arpa
13.22.in-addr.arpa
14.22.in-addr.arpa
15.22.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010110.00000000.00000000.0000000022.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00010110.00000000.00000000.0000000022.0.0.0
Broadcast00010110.00111111.11111111.1111111122.63.255.255
Split into smaller subnets/17

22.0.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
122.0.0.0/1722.0.0.1 to 22.0.127.25422.0.127.25532,766
222.0.128.0/1722.0.128.1 to 22.0.255.25422.0.255.25532,766
322.1.0.0/1722.1.0.1 to 22.1.127.25422.1.127.25532,766
422.1.128.0/1722.1.128.1 to 22.1.255.25422.1.255.25532,766
522.2.0.0/1722.2.0.1 to 22.2.127.25422.2.127.25532,766
622.2.128.0/1722.2.128.1 to 22.2.255.25422.2.255.25532,766
722.3.0.0/1722.3.0.1 to 22.3.127.25422.3.127.25532,766
822.3.128.0/1722.3.128.1 to 22.3.255.25422.3.255.25532,766
922.4.0.0/1722.4.0.1 to 22.4.127.25422.4.127.25532,766
1022.4.128.0/1722.4.128.1 to 22.4.255.25422.4.255.25532,766
1122.5.0.0/1722.5.0.1 to 22.5.127.25422.5.127.25532,766
1222.5.128.0/1722.5.128.1 to 22.5.255.25422.5.255.25532,766
1322.6.0.0/1722.6.0.1 to 22.6.127.25422.6.127.25532,766
1422.6.128.0/1722.6.128.1 to 22.6.255.25422.6.255.25532,766
1522.7.0.0/1722.7.0.1 to 22.7.127.25422.7.127.25532,766
1622.7.128.0/1722.7.128.1 to 22.7.255.25422.7.255.25532,766
1722.8.0.0/1722.8.0.1 to 22.8.127.25422.8.127.25532,766
1822.8.128.0/1722.8.128.1 to 22.8.255.25422.8.255.25532,766
1922.9.0.0/1722.9.0.1 to 22.9.127.25422.9.127.25532,766
2022.9.128.0/1722.9.128.1 to 22.9.255.25422.9.255.25532,766
2122.10.0.0/1722.10.0.1 to 22.10.127.25422.10.127.25532,766
2222.10.128.0/1722.10.128.1 to 22.10.255.25422.10.255.25532,766
2322.11.0.0/1722.11.0.1 to 22.11.127.25422.11.127.25532,766
2422.11.128.0/1722.11.128.1 to 22.11.255.25422.11.255.25532,766
2522.12.0.0/1722.12.0.1 to 22.12.127.25422.12.127.25532,766
2622.12.128.0/1722.12.128.1 to 22.12.255.25422.12.255.25532,766
2722.13.0.0/1722.13.0.1 to 22.13.127.25422.13.127.25532,766
2822.13.128.0/1722.13.128.1 to 22.13.255.25422.13.255.25532,766
2922.14.0.0/1722.14.0.1 to 22.14.127.25422.14.127.25532,766
3022.14.128.0/1722.14.128.1 to 22.14.255.25422.14.255.25532,766
3122.15.0.0/1722.15.0.1 to 22.15.127.25422.15.127.25532,766
3222.15.128.0/1722.15.128.1 to 22.15.255.25422.15.255.25532,766
3322.16.0.0/1722.16.0.1 to 22.16.127.25422.16.127.25532,766
3422.16.128.0/1722.16.128.1 to 22.16.255.25422.16.255.25532,766
3522.17.0.0/1722.17.0.1 to 22.17.127.25422.17.127.25532,766
3622.17.128.0/1722.17.128.1 to 22.17.255.25422.17.255.25532,766
3722.18.0.0/1722.18.0.1 to 22.18.127.25422.18.127.25532,766
3822.18.128.0/1722.18.128.1 to 22.18.255.25422.18.255.25532,766
3922.19.0.0/1722.19.0.1 to 22.19.127.25422.19.127.25532,766
4022.19.128.0/1722.19.128.1 to 22.19.255.25422.19.255.25532,766
4122.20.0.0/1722.20.0.1 to 22.20.127.25422.20.127.25532,766
4222.20.128.0/1722.20.128.1 to 22.20.255.25422.20.255.25532,766
4322.21.0.0/1722.21.0.1 to 22.21.127.25422.21.127.25532,766
4422.21.128.0/1722.21.128.1 to 22.21.255.25422.21.255.25532,766
4522.22.0.0/1722.22.0.1 to 22.22.127.25422.22.127.25532,766
4622.22.128.0/1722.22.128.1 to 22.22.255.25422.22.255.25532,766
4722.23.0.0/1722.23.0.1 to 22.23.127.25422.23.127.25532,766
4822.23.128.0/1722.23.128.1 to 22.23.255.25422.23.255.25532,766
4922.24.0.0/1722.24.0.1 to 22.24.127.25422.24.127.25532,766
5022.24.128.0/1722.24.128.1 to 22.24.255.25422.24.255.25532,766
5122.25.0.0/1722.25.0.1 to 22.25.127.25422.25.127.25532,766
5222.25.128.0/1722.25.128.1 to 22.25.255.25422.25.255.25532,766
5322.26.0.0/1722.26.0.1 to 22.26.127.25422.26.127.25532,766
5422.26.128.0/1722.26.128.1 to 22.26.255.25422.26.255.25532,766
5522.27.0.0/1722.27.0.1 to 22.27.127.25422.27.127.25532,766
5622.27.128.0/1722.27.128.1 to 22.27.255.25422.27.255.25532,766
5722.28.0.0/1722.28.0.1 to 22.28.127.25422.28.127.25532,766
5822.28.128.0/1722.28.128.1 to 22.28.255.25422.28.255.25532,766
5922.29.0.0/1722.29.0.1 to 22.29.127.25422.29.127.25532,766
6022.29.128.0/1722.29.128.1 to 22.29.255.25422.29.255.25532,766
6122.30.0.0/1722.30.0.1 to 22.30.127.25422.30.127.25532,766
6222.30.128.0/1722.30.128.1 to 22.30.255.25422.30.255.25532,766
6322.31.0.0/1722.31.0.1 to 22.31.127.25422.31.127.25532,766
6422.31.128.0/1722.31.128.1 to 22.31.255.25422.31.255.25532,766
6522.32.0.0/1722.32.0.1 to 22.32.127.25422.32.127.25532,766
6622.32.128.0/1722.32.128.1 to 22.32.255.25422.32.255.25532,766
6722.33.0.0/1722.33.0.1 to 22.33.127.25422.33.127.25532,766
6822.33.128.0/1722.33.128.1 to 22.33.255.25422.33.255.25532,766
6922.34.0.0/1722.34.0.1 to 22.34.127.25422.34.127.25532,766
7022.34.128.0/1722.34.128.1 to 22.34.255.25422.34.255.25532,766
7122.35.0.0/1722.35.0.1 to 22.35.127.25422.35.127.25532,766
7222.35.128.0/1722.35.128.1 to 22.35.255.25422.35.255.25532,766
7322.36.0.0/1722.36.0.1 to 22.36.127.25422.36.127.25532,766
7422.36.128.0/1722.36.128.1 to 22.36.255.25422.36.255.25532,766
7522.37.0.0/1722.37.0.1 to 22.37.127.25422.37.127.25532,766
7622.37.128.0/1722.37.128.1 to 22.37.255.25422.37.255.25532,766
7722.38.0.0/1722.38.0.1 to 22.38.127.25422.38.127.25532,766
7822.38.128.0/1722.38.128.1 to 22.38.255.25422.38.255.25532,766
7922.39.0.0/1722.39.0.1 to 22.39.127.25422.39.127.25532,766
8022.39.128.0/1722.39.128.1 to 22.39.255.25422.39.255.25532,766
8122.40.0.0/1722.40.0.1 to 22.40.127.25422.40.127.25532,766
8222.40.128.0/1722.40.128.1 to 22.40.255.25422.40.255.25532,766
8322.41.0.0/1722.41.0.1 to 22.41.127.25422.41.127.25532,766
8422.41.128.0/1722.41.128.1 to 22.41.255.25422.41.255.25532,766
8522.42.0.0/1722.42.0.1 to 22.42.127.25422.42.127.25532,766
8622.42.128.0/1722.42.128.1 to 22.42.255.25422.42.255.25532,766
8722.43.0.0/1722.43.0.1 to 22.43.127.25422.43.127.25532,766
8822.43.128.0/1722.43.128.1 to 22.43.255.25422.43.255.25532,766
8922.44.0.0/1722.44.0.1 to 22.44.127.25422.44.127.25532,766
9022.44.128.0/1722.44.128.1 to 22.44.255.25422.44.255.25532,766
9122.45.0.0/1722.45.0.1 to 22.45.127.25422.45.127.25532,766
9222.45.128.0/1722.45.128.1 to 22.45.255.25422.45.255.25532,766
9322.46.0.0/1722.46.0.1 to 22.46.127.25422.46.127.25532,766
9422.46.128.0/1722.46.128.1 to 22.46.255.25422.46.255.25532,766
9522.47.0.0/1722.47.0.1 to 22.47.127.25422.47.127.25532,766
9622.47.128.0/1722.47.128.1 to 22.47.255.25422.47.255.25532,766
9722.48.0.0/1722.48.0.1 to 22.48.127.25422.48.127.25532,766
9822.48.128.0/1722.48.128.1 to 22.48.255.25422.48.255.25532,766
9922.49.0.0/1722.49.0.1 to 22.49.127.25422.49.127.25532,766
10022.49.128.0/1722.49.128.1 to 22.49.255.25422.49.255.25532,766
10122.50.0.0/1722.50.0.1 to 22.50.127.25422.50.127.25532,766
10222.50.128.0/1722.50.128.1 to 22.50.255.25422.50.255.25532,766
10322.51.0.0/1722.51.0.1 to 22.51.127.25422.51.127.25532,766
10422.51.128.0/1722.51.128.1 to 22.51.255.25422.51.255.25532,766
10522.52.0.0/1722.52.0.1 to 22.52.127.25422.52.127.25532,766
10622.52.128.0/1722.52.128.1 to 22.52.255.25422.52.255.25532,766
10722.53.0.0/1722.53.0.1 to 22.53.127.25422.53.127.25532,766
10822.53.128.0/1722.53.128.1 to 22.53.255.25422.53.255.25532,766
10922.54.0.0/1722.54.0.1 to 22.54.127.25422.54.127.25532,766
11022.54.128.0/1722.54.128.1 to 22.54.255.25422.54.255.25532,766
11122.55.0.0/1722.55.0.1 to 22.55.127.25422.55.127.25532,766
11222.55.128.0/1722.55.128.1 to 22.55.255.25422.55.255.25532,766
11322.56.0.0/1722.56.0.1 to 22.56.127.25422.56.127.25532,766
11422.56.128.0/1722.56.128.1 to 22.56.255.25422.56.255.25532,766
11522.57.0.0/1722.57.0.1 to 22.57.127.25422.57.127.25532,766
11622.57.128.0/1722.57.128.1 to 22.57.255.25422.57.255.25532,766
11722.58.0.0/1722.58.0.1 to 22.58.127.25422.58.127.25532,766
11822.58.128.0/1722.58.128.1 to 22.58.255.25422.58.255.25532,766
11922.59.0.0/1722.59.0.1 to 22.59.127.25422.59.127.25532,766
12022.59.128.0/1722.59.128.1 to 22.59.255.25422.59.255.25532,766
12122.60.0.0/1722.60.0.1 to 22.60.127.25422.60.127.25532,766
12222.60.128.0/1722.60.128.1 to 22.60.255.25422.60.255.25532,766
12322.61.0.0/1722.61.0.1 to 22.61.127.25422.61.127.25532,766
12422.61.128.0/1722.61.128.1 to 22.61.255.25422.61.255.25532,766
12522.62.0.0/1722.62.0.1 to 22.62.127.25422.62.127.25532,766
12622.62.128.0/1722.62.128.1 to 22.62.255.25422.62.255.25532,766
12722.63.0.0/1722.63.0.1 to 22.63.127.25422.63.127.25532,766
12822.63.128.0/1722.63.128.1 to 22.63.255.25422.63.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses